%define src_ver	%(echo %{version}|sed "s/\\.//"g)

Summary:	Unpacks ZIP files such as those made by pkzip under DOS
Name:		unzip
Version:	6.0
Release:	%mkrel 3
License:	BSD-like
Group:		Archiving/Compression
URL:		http://www.info-zip.org/pub/infozip/UnZip.html
Source0:	http://ftp.info-zip.org/pub/infozip/src/%{name}%{src_ver}.tar.xz
Patch0:		%{name}-6.0-libnatspec.patch
Patch1:		unzip-6.0-CVE-2014-8139.patch
Patch2:		unzip-6.0-CVE-2014-8140.patch
Patch3:		unzip-6.0-CVE-2014-8141.patch
Patch4:		unzip-6.0-overflow3.patch
Patch5:		unzip-6.0-heap-overflow-infloop.patch
BuildRequires:	libnatspec-devel

%description
unzip will list, test, or extract files from a ZIP archive, commonly found
on MS-DOS systems. A companion program, zip, creates ZIP archives; both
programs are compatible with archives created by PKWARE's PKZIP and
PKUNZIP for MS-DOS, but in many cases the program options or default
behaviors differ.

This version also has encryption support.

%prep

%setup -qn %{name}%{src_ver}
%apply_patches

%build
%define Werror_cflags %nil
%ifarch %{ix86}
%make -ef unix/Makefile linux CF="%{optflags} -D_FILE_OFFSET_BITS=64 -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DNATIVE -Wall -I. -DASM_CRC" CC=gcc LD=gcc AS=gcc AF="-Di386" CRC32=crc_gcc
%else
%make -ef unix/Makefile linux_noasm CF="%{optflags} -D_FILE_OFFSET_BITS=64 -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DNATIVE -Wall -I."
%endif

%install
rm -rf %buildroot
mkdir -p %{buildroot}{%{_bindir},%{_mandir}/man1}

ln -sf unzip zipinfo
for i in unzip funzip unzipsfx zipinfo;	do install $i %{buildroot}%{_bindir}; done
install unix/zipgrep %{buildroot}%{_bindir}

for i in man/*.1; do install -m 644 $i %{buildroot}%{_mandir}/man1/; done


%files
%doc BUGS COPYING.OLD Contents History.* README ToDo WHERE
%doc proginfo/
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sun Nov 27 2016 adrianomorselli <adrianomorselli> 6.0-3uplos2016
- rebuild

* Fri Jul 08 2016 bb <bb> 6.0-3pclos2016
- update for 2016

